> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/documentdetector/lifecycle.md).

# Ciclo de vida do SDK

## DocumentDetectorEvent (Flutter)

O `DocumentDetectorEvent` no Flutter representa os diferentes resultados do processo de detecção de documento. Abaixo estão os eventos que você pode tratar durante o ciclo de vida de detecção de documento do SDK:

| **Evento**                       | **Descrição**                                                                                                                          |
| -------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| **DocumentDetectorEventClosed**  | Disparado quando o usuário cancela o processo de captura do documento, como ao pressionar o botão de fechar.                           |
| **DocumentDetectorEventSuccess** | Chamado quando o documento é capturado com sucesso, fornecendo detalhes como `capturas`, `documentType`e `trackingId`.                 |
| **DocumentDetectorEventFailure** | Disparado quando o processo de captura do documento falha, com detalhes do erro como `errorType`, `errorMessage`e `securityErrorCode`. |

### Exemplo de implementação

Abaixo está um exemplo de como lidar com `DocumentDetectorEvent` eventos no Flutter:

```dart
void _setupDocumentDetectorListener(Stream<DocumentDetectorEvent> stream) {
  stream.listen((event) {
    if (event is DocumentDetectorEventClosed) {
      print('O processo de captura do documento foi fechado pelo usuário.');
    } else if (event is DocumentDetectorEventSuccess) {
      print('Sucesso! Capturas: ${event.captures}, '
          'Tipo de documento: ${event.documentType}, '
          'ID de rastreamento: ${event.trackingId}');
    } else if (event is DocumentDetectorEventFailure) {
      print(
        'Falha! Tipo de erro: ${event.errorType}, '
        'Mensagem de erro: ${event.errorMessage}, '
        'Código de erro de segurança: ${event.securityErrorCode}',
      );
    }
  });
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/documentdetector/lifecycle.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
